Application: gvSIG desktop - gvSIG bugs #5179
Comprobacion de librerias duplicadas en el sistema
12/04/2019 01:54 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: José Olivas

Category: Application

Target version: 2.5.1-3022

Severity: Minor Add-on version:

gvSIG version: 250 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

En ocasiones estan duplicadas las librerias de gvSIG y el sistema, y toma una que da error en el arranque. Seria recomendable
hacer una comprobacion previa de las mismas y tomar la correcta.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5159: No abre la calcula... Won't fix 11/21/2019

Associated revisions

Revision 44981 - 04/27/2020 03:30 PM - José Olivas

refs #5179 Primer script que permite localizar los .dll duplicados en gvSIG y la carpeta System32

Revision 45001 - 04/30/2020 09:55 PM - José Olivas

refs #5179 Se adjuntan dos scripts que solucionan el problema de duplicidad de librerias.dll y se elimina el primer script con la solucion aproximada.

History

#1 - 01/21/2020 07:52 PM - Alvaro Anguix
- Related to gvSIG bugs #5159: No abre la calculadora de campos added

#2 - 01/21/2020 07:52 PM - Alvaro Anguix
- Priority changed from Normal to High

#3 - 03/26/2020 01:41 PM - Joaquin del Cerro Murciano
- Priority changed from High to Low

#4 - 04/21/2020 09:26 AM - Alvaro Anguix
- Target version deleted (2.5.1-3044)

#5 - 04/24/2020 09:23 PM - José Olivas
- Target version set to 2.5.1-3017

- Assignee set to José Olivas

- Status changed from New to In progress
- File findErrorDIl.js added
Saludos;
El script adjunto esta en JScript y se puede ejecutar en Win. Este archivo compara los .dll de gvSIG y los del sistema (C:\\Windows\\System32) y te
muestra si alguna de las librerias de gvSIG esta duplicada en el sistema. Esta versién lo que busca es identificar los errores derivados de la duplicidad

de librerias tras sufrir un error de arranque. Su funcionamiento es simple, basta con situar el archivo en la instalacion de gvSIG y ejecutarlo tras sufrir
el error para identificar las librerias duplicadas mediante mensaje en pantalla o en consola si se ejecuta desde ahi.

#6 - 04/25/2020 12:11 AM - Joaquin del Cerro Murciano

- Target version changed from 2.5.1-3017 to 2.5.1-3044

#7 - 04/27/2020 09:54 AM - Joaquin del Cerro Murciano
- Priority changed from Low to Urgent

#8 - 04/30/2020 10:03 PM - José Olivas
- Target version changed from 2.5.1-3044 to 2.5.1-3022
- Status changed from In progress to Fixed

- File fixProblematicDlls.js added
- File findProblematicDlls.js added

Se adjuntan dos archivos que soluciona los problemas detallados. Dichos scripts se ejecutan después de tener problemas de arranque en el

software.

findProblematicDlls.js Este script tras su ejecucion muestra por mensaje las librerias duplicadas en el software gvSIG y la carpeta System32.

fixProblematicDlls.js Este script tras su ejecucion se asegura de que las librerias .dll correctas se ejecuten en el proceso de arranque.

#9 - 05/11/2020 05:55 PM - José Olivas

Se adjuntan dos archivos que soluciona los problemas detallados. Dichos scripts se encuentran en la carpeta "tools" dentro de la instalacion de gvSIG

y se ejecutan después de tener problemas de arranque en el software.

findProblematicDlls.js Este script tras su ejecucion muestra por mensaje las librerias duplicadas en el software gvSIG y la carpeta System32.

fixProblematicDlls.js Este script tras su ejecucion se asegura de que las librerias .dll correctas se ejecuten en el proceso de arranque.

#10 - 05/11/2020 05:56 PM - José Olivas

- File fixProblematicDlls.js added
- File findProblematicDlls.js added

Se adjuntan dos archivos que soluciona los problemas detallados. Dichos scripts se encuentran en la carpeta "tools" dentro de la instalaciéon de gvSIG
y se ejecutan después de tener problemas de arranque en el software.

findProblematicDlls.js Este script tras su ejecucion muestra por mensaje las librerias duplicadas en el software gvSIG y la carpeta System32.

fixProblematicDlls.js Este script tras su ejecucion se asegura de que las librerias .dll correctas se ejecuten en el proceso de arranque.
#11 - 07/14/2020 06:46 PM - Mario Carrera
- Status changed from Fixed to Closed

Cierro el ticket. Un usuario que tenia el problema de las librerias lo ha ejecutado y le ha funcionado.

Files

findErrorDIl.js 797 Bytes 04/24/2020 José Olivas
findProblematicDlls.js 1.01 KB 04/30/2020 José Olivas
fixProblematicDlls.js 1.33 KB 04/30/2020 José Olivas
findProblematicDlls.js 1.01 KB 05/11/2020 José Olivas
fixProblematicDlls.js 1.33 KB 05/11/2020 José Olivas
